﻿
/*#divSelTrabajo {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}*/

@import url('https://fonts.googleapis.com/css2?family=Lexend:wght@300;400;500;600;700;800;900&display=swap');

* {
    -webkit-tap-highlight-color: transparent;
    -webkit-tap-highlight-color: rgba(0,0,0,0);
}

a {
    font-weight: bolder;
    /*color: var(--celeste);*/
    color: var(--azul);
}

.contenedor {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    margin: auto;
    /*background-color: white;*/
}

#divVendedorLeft {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    /*margin: 0.5rem 0.5rem 0 0.5rem;*/
    margin: 0.5rem;
}

body {
    position: absolute;
    overflow-y: auto;
    background-color: var(--fondo);
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    color: var(--azul);
    font-family: 'lexend';
}

.box-product, .box-product2, .box-product3 {
    box-shadow: 0 4px 6px 1px rgba(109, 126, 252, 0.20);
    border-radius: 0.57em;
    padding: 1em;
    width: 50%;
    gap: 1.2em;
}

.box-product2, .box-product3 {
    overflow: visible;
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: black;
    position: relative;
}

.box-product {
    background: #FFFFFF;
    /*margin: 2% 0%;*/
    overflow: visible;
    display: flex;
    flex-direction: column;
    position: relative;
}

    .box-product.box-azul {
        flex-direction: row;
        justify-content: center;
        align-items: center;
        gap: 0;
        padding: 14px;
        border: 1px solid #7A86FE;
        border-radius: 8px;
        font-weight: 600;
        font-size: 18px;
        color: #7A86FE;
        text-transform: uppercase;
        background-color: transparent;
        box-shadow: none;
    }

.box-product2 {
    border: 1px solid var(--negro);
    padding: 12px 15px;
}

.box-product3 {
    border: 2px solid var(--azul);
}

.box-product4 {
    overflow: visible;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    width: 50%;
}

.box-destacado {
    position: relative;
    margin-top: 1.2rem;
    /*border: solid 1px;*/
    border-top-left-radius: 0;
}

.box-content {
    padding: 0.9em 0 0.5rem;
    /*background-color: var(--fondo);*/
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    overflow-y: auto;
    gap: 1.2em;
    height: 60vh;
    /*height: calc(100vh - 22rem);*/
}

.btn-footer {
    display: flex;
    flex-direction: column-reverse;
    align-items: center;
    justify-content: center;
    text-align: center;
    gap: 1rem;
    /*height: 5rem;*/
    /*nuevo*/
    position: absolute;
    bottom: 0rem;
    left: 50%;
    transform: translate(-50%, -15%);
    width: 100%
}

/*.box-cda {
    border-radius: 1.3em;
    display: flex;
    justify-content: space-between;
    flex-direction: row;
    width: 50%;
    padding: 1em 3.5em;
}*/


.cdaV, .cdaAS, .cdaR, .destacado, .tipo_cobro_ofertas {
    /*border: 2px solid #5BA44B;
    color: #5BA44B;*/
    color: white;
    border-radius: 0.7rem 0.7rem 0rem 0rem;
    padding: 0.15rem 0.3rem;
    top: -1.4rem;
    position: absolute;
    font-size: 0.7rem;
    left: -0.05rem;
    min-width: 6rem;
}

.etiqueta-socio-nuevo {
    top: -1.4rem;
    position: absolute;
    left: 85%;
    min-width: 6rem;
}

.tipo_cobro_ofertas {
    color: var(--negro);
    margin: 0;
    margin-left: 6.5rem;
    border: 1px solid var(--negro);
    min-width: 2rem;
    text-align: center;
    border-radius: 10px;
    padding: 0.15rem;
}

.destacado {
    border: 2px solid var(--azul) /*#59BE42*/;
    background-color: var(--azul) /*#59BE42*/;
    padding: 0.15rem 1.3rem;
    /*left: -0.16rem;*/
}

/*'APROBADO':*/
.cdaV {
    border: 2px solid #239D09 /*#59BE42*/;
    background-color: #239D09 /*#59BE42*/;
}

/*'OBSERVADO': 'MANUAL':*/
.cdaAS {
    border: 2px solid #FF9029 /*#E46D00*/;
    background-color: #FF9029 /*#E46D00*/;
}

/*'RECHAZADO': 'RECHAZAR':*/
.cdaR {
    border: 2px solid #B70000;
    background-color: #B70000;
}

#divPropuestaMaxima, #divDisponible {
    text-align: center;
    width: 50%;
}

#divPropuestaMaxima {
    color: var(--negro);
}

#divMaxPlan {
    font-size: 2.2em;
    /*font-weight: bold;*/
}

.tableFixHead th {
    background-color: white;
}


/*.btn-link {
    position: absolute;
    left: 92%;
    top: -0.8rem;
}*/

/*.box-btn-spand {
    width: 80%;
    height: auto;
}*/

.btn-link {
    position: absolute;
    width: 100%;
    text-align: end;
    pointer-events: none;
    left: -6px;
    top: 10px;
}

.box-btn-spand {
    /*width: 4%;
    height: auto;*/
    width: 1.6rem;
    pointer-events: auto;
}

#nro_docu1 {
    width: 30%;
}

@media only screen and (max-width: 1200px) {
    /*.btn-link {
        left: 86%;
    }*/
}


.icon {
    position: relative;
    cursor: pointer;
}

    .icon span {
        /* background-color: #00FEB5;
        width: 1rem;
        border-radius: 12px;
        display: flex;
        height: 1rem;
        justify-content: center;
        align-items: center;
        color: var(--blanco);*/
    }


.popup {
    display: none;
    position: absolute;
    background-color: var(--azul);
    padding: 10px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    z-index: 1;
    min-width: 15rem;
    margin-top: 5px;
    border-radius: 12px;
    text-align: center;
    color: white;
    left: 50%;
}

.icon:hover .popup {
    display: block;
}


.btn-principal {
    width: 23rem;
}


@media only screen and (max-width: 768px) {
    #divDisponible, #divPropuestaMaxima, .box-product2, .box-product3, .box-product, .box-product4, .btn-principal {
        width: 90%;
    }

    .popup {
        left: -53vw;
        top: -649%;
    }

    #nro_docu1 {
        width: 60%;
    }

    .box-btn-spand {
        width: unset;
    }

    .box-content {
        height: 55vh;
    }

    .btn-link {
        top: unset;
    }

    .etiqueta-socio-nuevo {
        left: 75%;
    }
}


input[type=range] {
    padding-left: 0px;
    padding-right: 0px;
}

.range-wrap {
    /*width: 500px;*/
    position: relative;
}

.range-value {
    position: absolute;
    top: -158%;
}

@media only screen and (max-width: 768px) {
    .range-value {
        top: -98%;
    }
}

.range-value span {
    width: 76px;
    height: 24px;
    line-height: 24px;
    text-align: center;
    background: #03a9f4;
    color: #fff;
    font-size: 12px;
    display: block;
    position: absolute;
    left: 50%;
    transform: translate(-50%, 0);
    border-radius: 6px;
}

    .range-value span:before {
        content: "";
        position: absolute;
        width: 0;
        height: 0;
        border-top: 10px solid #03a9f4;
        border-left: 5px solid transparent;
        border-right: 5px solid transparent;
        top: 100%;
        left: 50%;
        margin-left: -5px;
        margin-top: -1px;
    }


input::placeholder {
    text-align: left;
}


/*dot progress*/
ul.progress-bar {
    list-style: none;
    /*margin: 0;*/
    padding: 0;
    position: relative;
    display: flex;
    flex-direction: row;
    gap: 1rem;
    justify-content: center;
    overflow: hidden;
    padding: 0.5rem;
}

    ul.progress-bar li {
        background: rgba(228, 109, 0, 0.35);
        border-radius: 100px;
        width: 0.7rem;
        height: 0.7rem;
        z-index: 1;
        position: relative;
    }

        ul.progress-bar li.stop {
            background: #E46D00;
        }

/*ul.progress-bar li.stop ~ li {
    background: rgba(228, 109, 0, 0.35);
}

            ul.progress-bar li.stop ~ li::after {
                height: 0;
            }*/

/*dot progress*/

.alert-mesa-ayuda {
    display: flex;
    flex-direction: column;
    align-items: center;
}

    .alert-mesa-ayuda h3 {
        margin: 10px 0 0;
        color: #000;
    }

    .alert-mesa-ayuda p {
        margin: 0;
        color: #000;
        line-height: 22px;
    }

    .alert-mesa-ayuda .alert-mesa-ayuda-links-wsp {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        gap: 20px;
        margin: 10px 32px;
    }

/*buttons arrow dictamen*/
.btnArrowDictamen {
    display: flex;
    border-radius: 50%;
}

    .btnArrowDictamen.arrowRight {
        transform: rotate(180deg);
    }
/*buttons arrow dictamen*/

/*skeleton*/
.skeleton {
    opacity: .7;
    animation: skeleton-loading 1.5s infinite alternate;
    padding: 0 !important;
}

@keyframes skeleton-loading {
    0% {
        background-color: #a3b8c2;
    }

    100% {
        background-color: #f0f3f5;
    }
}



/*Inputs files*/
.archivo_information {
    margin-bottom: 15px;
}

    .archivo_information p {
        margin-bottom: 5px;
    }

.input_upload_container {
    position: relative;
    border-radius: 8px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

/*PRUEBA*/
.enviar_container {
    display: flex;
    justify-content: center;
    align-items: center;
}
/*PRUEBA*/
.btnNormal_M_new {
    width: 70%;
    display: flex;
    justify-content: center;
    align-items: center;
}

input[type="file"] {
    position: absolute;
    width: 100%;
    opacity: 0;
}

/*.input_upload_container label*/
.file_label {
    width: 100%;
    outline: 1px solid #979797;
    padding: 10px 15px;
    border-radius: 8px;
    color: #979797;
}

.input_archivo_subido {
    width: 100%;
    outline: none;
    padding: 10px 15px;
    border-radius: 8px;
    background-color: rgba(76, 102, 183, 0.20);
    color: black;
}

.input_archivo_validado {
    outline: 1px solid #5BA44B;
    color: black;
}

.boton_deshabilitado {
    background-color: #D9D9D9;
    color: #979797;
}

/* base.css */
/*input[type=text] {
            width: 100%;
            border: 1px solid #979797;
        }

        input[type=text]::placeholder {
            color: #979797;
        }*/

/* precarga.css */
.file_upload_nuevo {
    position: absolute;
    right: 15px;
    height: 20px;
    width: 20px;
    cursor: pointer;
}

.file_uploaded {
    position: absolute;
    left: 15px;
    height: 24px;
    width: 24px;
}

.sombrear_click {
    transition: box-shadow 0.3s;
    cursor: pointer;
    margin: -10px;
    padding: 10px;
}

    .sombrear_click:active {
        background-color: rgba(78,94,254,0.3);
        box-shadow: 0 0 10px rgba(78,94,254,0.3);
    }

    .sombrear_click:hover {
        background-color: rgba(78,94,254,0.1);
        box-shadow: 0 0 10px rgba(78,94,254,0.1);
    }


.prefix {
    font-weight: bold;
    margin-right: 5px;
}

.input-container {
    display: flex;
    align-items: center;
    font-size: 2rem;
}

.input-borderless {
    border: none !important;
    outline: none;
    font-size: 1.2rem;
    text-align: right;
    width: 100px;
    padding: 0 !important;
    font-weight: 700;
    font-size: 2rem;
}

    .input-borderless :focus {
        outline: none;
    }

.suffix {
    margin-left: 2px;
    font-weight: bold;
    padding: 0;
}

/*#################################*/
/*###########-PAGINADOR-###########*/
/*#################################*/

.paginacion {
    display: flex;
    justify-content: center;
    gap: 0.5rem;
    margin-top: 1rem;
    font-family: sans-serif;
    align-items: center;
}

    .paginacion button {
        background: none;
        border: none;
        color: #666;
        cursor: pointer;
        font-size: 1rem;
        padding: 0;
        border-radius: 50%;
        width: 2.2rem;
        height: 2.2rem;
        display: inline-flex;
        align-items: center;
        justify-content: center;
        transition: background 0.2s;
    }

        .paginacion button:hover {
            background: #eee;
        }

    .paginacion .activo {
        background-color: #4f6ef7;
        color: white;
        font-weight: bold;
    }

/*##################################*/
/*#######-POPUP PARA FILTROS-#######*/
/*##################################*/

.overlay-filter-panel {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 8px 8px 0 0;
    background: linear-gradient(180deg, rgba(0, 254, 181, 0.20) 0%, rgba(39, 174, 217, 0.20) 34.62%, rgba(78, 94, 254, 0.20) 79.81%);
    backdrop-filter: blur(2px);
    z-index: 10;
    opacity: 0;
    transform: translateY(100%);
    pointer-events: none;
}

    .overlay-filter-panel.visible {
        transform: translateY(0);
        opacity: 1;
        pointer-events: auto;
    }

.filter-panel {
    position: fixed;
    bottom: 0;
    width: 100%;
    height: 50vh;
    background: #fff;
    padding: 20px;
    z-index: 20;
    transform: translateY(100%);
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.3s ease, transform 0.3s ease;
    box-shadow: 0 -2px 10px rgba(0, 0, 0, 0.2);
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}

    .filter-panel.visible {
        transform: translateY(0);
        opacity: 1;
        pointer-events: auto;
    }


.contenedor-totalizadores {
    /*border: solid 0.13rem #7A86FE;*/
    border-radius: 0.57rem /*1.3em*/;
    width: 100%;
    display: flex;
    flex-direction: column;
    /*gap: 0.2rem;*/
    margin: 0 -1rem -1rem -1rem;
    width: calc(100% + 2rem);
    padding: 0.5rem 0rem;
}


/*MENU*/

.bot_menu {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: white;
    padding: 10px 5px;
    /*box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25) inset;*/
    position: fixed;
    bottom: 0;
    width: 100%;
    height: 75px;
}

    .bot_menu .home img {
        padding: 1rem;
        border-radius: 50%;
        margin-bottom: 1rem;
        background-color: var(--white);
        box-shadow: 0px 4px 5px 0px rgba(0, 0, 0, 0.25) inset;
        width: 80px !important;
        height: 80px !important;
    }

    .bot_menu .nav-item {
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
        color: #004AAD;
        font-size: 14px;
        flex: 1;
        cursor: pointer;
        transition: all 0.3s ease;
    }

        .bot_menu .nav-item img {
            width: 25px;
            height: 25px;
        }

        .bot_menu .nav-item.active span {
            font-weight: 700;
            color: var(--celeste);
        }

.bot {
    height: 0% !important;
}


#divMenu {
    /* lo que ya tengas: position, padding, etc. */
    transform-origin: left center; /* importante para que “salga” desde la izquierda */
    transform: scaleX(0); /* empieza escondido */
    opacity: 0;
    pointer-events: none; /* que no capture clicks cuando está oculto */
    transition: transform 0.25s ease-out, opacity 0.25s ease-out;
}

    #divMenu.menu-open {
        transform: scaleX(1);
        opacity: 1;
        pointer-events: auto; /* ahora sí es clickable */
    }

/* el contenedor del submenú */
.submenu {
    max-height: 0;
    overflow: hidden;
    opacity: 0;
    transition: max-height 0.25s ease-out, opacity 0.25s ease-out;
}

    /* cuando está abierto */
    .submenu.open {
        max-height: 500px; /* suficiente para su contenido */
        opacity: 1;
        display: flex;
        flex-direction: column;
        gap: 1.5rem;
        padding: 1rem 2rem;
    }
